//
// Created by fdenef on 12/02/2025.
//

#ifndef SENSOR_REGISTERS_H
#define SENSOR_REGISTERS_H

typedef enum {
    sensor_addr = 0x1A << 1,
    config_reg = 0x01,
    status_reg = 0x02,
    mbit_trim_reg = 0x03,
    bias_trim_top_reg = 0x04,
    bias_trim_bot_reg = 0x05,
    clk_trim_reg = 0x06,
    bpa_trim_top_reg = 0x07,
    bpa_trim_bot_reg = 0x08,
    pu_reg = 0x09,
} SensorRegisters;

typedef enum {
    top_block_0 = 0,
    top_block_1,
    top_block_2,
    top_block_3,
    bot_block_0,
    bot_block_1,
    bot_block_2,
    bot_block_3,
    stop
} StepArrayRetrieve;

typedef enum {
    cam_blk_0 = 0,
    cam_blk_1 = 1 << 4,
    cam_blk_2 = 2 << 4,
    cam_blk_3 = 3 << 4,
} SensorBlockValue;

typedef enum {
    data_top_reg = 0x0A,
    data_bot_reg = 0x0B,
    start_get_mat = 1 << 3 | 1
} ArrayResgiters;

#endif //SENSOR_REGISTERS_H
